A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Public Types | Static Public Member Functions
dtype_traits< int > Struct Reference

`#include <traits.hpp>`

## Public Types
enum | { af_type = s32 , ctype = f32 }
typedef int | base_type

## Static Public Member Functions
static const char * | getName ()

## Detailed Description

Definition at line 94 of file traits.hpp.

## Member Typedef Documentation

## ◆ base_type

typedef int base_type

Definition at line 99 of file traits.hpp.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
af_type |
ctype |

Definition at line 95 of file traits.hpp.

95 {
96 af_type = s32 ,
97 ctype = f32
98 };
s32
@ s32
32-bit signed integral values
Definition defines.h:216
f32
@ f32
32-bit floating point values
Definition defines.h:211
af::dtype_traits< int >::af_type
@ af_type
Definition traits.hpp:96
af::dtype_traits< int >::ctype
@ ctype
Definition traits.hpp:97

## Member Function Documentation

## ◆ getName()

static const char * getName | ( |  | ) |
| inline static

Definition at line 100 of file traits.hpp.

100{ return "int"; }

The documentation for this struct was generated from the following file:

- traits.hpp